﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}
<body>
    <div class="uk-container uk-container-center">
        <div class="uk-grid-small" uk-grid>
            <div class="uk-width-1-4@m">
                <div class="uk-card uk-card-default uk-card-body uk-padding-remove">
                    <div class="uk-width-1-1 uk-padding-small uk-background-secondary uk-background-cover uk-light uk-text-center" style="background-image: url(/img/cover/bng-cover-photo-dark-1280x720.png); ">
                        <div class="user-container">
                            <div class="user-profile">
                                <i class="fas fa-user fa-2x"></i>
                            </div>
                            <i class="icon-badge" uk-icon="icon: check; ratio: 0.75" style="background: #2AB672; display: @(Model.KYCVerified ? "" : "none")"></i>
                        </div>
                        <div class="uk-margin-small-top">
                            <p class="uk-margin-remove uk-text-emphasis">
                                <span>@Model.FormData.FirstName</span>
                                <span>@Model.FormData.MiddleName</span>
                                <span>@Model.FormData.LastName</span>
                            </p>
                            <p class="uk-margin-remove uk-text-small uk-text-italic">
                                <span>@(Model.KYCVerified ? "Verified" : "Unverified")</span>
                            </p>
                            @if (Model.KYCEnabled && !Model.KYCVerified)
                            {
                                <p>
                                    <a class="uk-button uk-button-default uk-button-small">Get verified</a>
                                </p>
                            }
                        </div>
                    </div>
                    @*<div class="uk-width-1-1 uk-padding-small" style="background-color: white">
                            <div class="uk-text-center">
                                <div class="uk-margin-small">
                                    <p class="uk-form-label uk-margin-remove">Referral Code</p>
                                    <p class="uk-text-bold uk-margin-remove">@Model.ReferralCode</p>
                                </div>
                                <a class="bng-modal uk-button uk-button-default uk-button-small" asp-page="/invite">
                                    <i class="fas fa-paper-plane"></i>
                                    <span class="uk-margin-small-left">Invite</span>
                                </a>
                            </div>
                        </div>*@
                    <div class="uk-width-1-1 uk-padding-small uk-padding-remove-top uk-visible@s">
                        <hr>
                        <ul class="uk-list uk-text-small uk-width-1-1">
                            <li>
                                <a class="bng-modal uk-button uk-button-default uk-button-small uk-width-1-1" asp-page="/preference">
                                    <i class="fas fa-tasks"></i>
                                    <span class="uk-margin-small-left">Preferences</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    @if (Model.ShowReturnBtn)
                    {
                        <div class="uk-width-1-1 uk-padding-small uk-padding-remove-top uk-visible@s">
                            <ul class="uk-list uk-text-small uk-width-1-1">
                                <li>
                                    <a class="uk-button uk-button-primary uk-button-small uk-width-1-1" href="@Model.ReturnUrl">
                                        <span class="uk-margin-small-left">Back to Previous Page</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    }

                </div>
            </div>
            <div class="uk-width-expand@m">
                <div class="uk-card uk-card-default uk-card-body">
                    <div class="uk-margin-small">
                        <div class="uk-grid-small" uk-grid>
                            <div class="uk-width-expand">
                                <h3 class="uk-card-title">My Profile</h3>
                            </div>
                            <div class="uk-width-auto">
                                <button id="submitBtn"
                                        class="uk-button uk-button-primary uk-button-small uk-margin-small uk-animation-shake"
                                        type="submit"
                                        form="profile-form"
                                        style="display:none;">
                                    <i class="fas fa-save"></i><span class="uk-margin-small-left">Save</span>
                                </button>
                            </div>
                        </div>
                        <form class="uk-form-stacked" id="profile-form" asp-antiforgery="true" method="post" action="/index" autocomplete="on">
                            <div class="uk-margin-small uk-grid-small" uk-grid>
                                <div class="uk-width-1-3@s">
                                    <label class="uk-form-label">First Name</label>
                                    <input asp-for="FormData.FirstName" class="uk-input" id="form-stacked-text" type="text" maxlength="128">
                                    <span asp-validation-for="FormData.FirstName" class="uk-text-danger uk-text-small"></span>
                                </div>
                                <div class="uk-width-1-3@s">
                                    <label class="uk-form-label">Middle Name</label>
                                    <input asp-for="FormData.MiddleName" class="uk-input" id="form-stacked-text" type="text" maxlength="128">
                                    <span asp-validation-for="FormData.MiddleName" class="uk-text-danger uk-text-small"></span>
                                </div>
                                <div class="uk-width-1-3@s">
                                    <label class="uk-form-label">Last Name</label>
                                    <input asp-for="FormData.LastName" class="uk-input" id="form-stacked-text" type="text" maxlength="128">
                                    <span asp-validation-for="FormData.LastName" class="uk-text-danger uk-text-small"></span>
                                </div>
                            </div>
                            <div class="uk-margin-small uk-grid-small" uk-grid>
                                <div class="uk-width-1-2@s">
                                    <label class="uk-form-label">Display Name/Nickname</label>
                                    <input asp-for="FormData.DisplayName" class="uk-input" id="form-stacked-text" type="text" maxlength="128">
                                    <span asp-validation-for="FormData.DisplayName" class="uk-text-danger uk-text-small"></span>
                                </div>
                                <div class="uk-width-1-2@s">
                                    <label class="uk-form-label">Country</label>
                                    <input value="@Model.CountryName" class="uk-input" type="text" readonly="readonly">
                                    <input type="hidden" value="@Model.FormData.CountryCode" asp-for="FormData.CountryCode">
                                </div>
                            </div>
                            <div class="uk-margin-small uk-grid-small" uk-grid>
                                <div class="uk-width-1-2@s">
                                    <label asp-for="@Model.Birthdate" class="uk-form-label"></label>
                                    <input asp-for="@Model.Birthdate" class="uk-input" id="BirthdatePicker" type="date" value="@Model.Birthdate" min="@Model.MinBirthdate" max="@Model.MaxBirthdate" placeholder="YYYY-MM-DD" />
                                    <span asp-validation-for="@Model.Birthdate" class="uk-text-danger uk-text-small"></span>
                                </div>
                                <div class="uk-width-1-2@s">
                                    <label asp-for="FormData.Gender" class="uk-form-label"></label>
                                    <select class="uk-select" id="Gender" asp-for="@Model.FormData.Gender">
                                        <option value="@null">Unspecified</option>
                                        <option value="@(BeamAndGo.Member.GenderType.Female)">Female</option>
                                        <option value="@(BeamAndGo.Member.GenderType.Male)">Male</option>

                                    </select>
                                </div>
                            </div>
                            <br>
                        </form>
                    </div>
                    <hr>
                    <div class="uk-margin-small">
                        <h3 class="uk-card-title">Contact Information</h3>
                        <div class="uk-margin">
                            <a class="bng-modal" asp-page="/phonemanagement">
                                <div class="uk-grid-small" uk-grid>
                                    <div class="uk-width-expand">
                                        <p class="uk-text-small uk-text-emphasis">
                                            <i class="fas fa-phone-alt uk-margin-small-right"></i>
                                            @if (Model.Phone != null)
                                            {
                                                @if (Model.Phone.IsDefault)
                                                {
                                                    <span>@(string.IsNullOrEmpty(Model.Phone.CallingCode) ? "" : "+")@Model.Phone.CallingCode @Model.Phone.PhoneNumber @(Model.Phone.IsVerified? "(Verified)" : "(Unverified)")</span>
                                                }
                                                else
                                                {
                                                    <span>(add a mobile phone)</span>
                                                }
                                            }
                                            else
                                            {
                                                <span>(add a mobile phone)</span>
                                            }
                                        </p>
                                    </div>
                                    <div class="uk-width-1-6 uk-text-right">
                                        <i class="fas fa-chevron-right uk-text-primary"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="uk-margin">
                            <a class="bng-modal" asp-page="/emailmanagement">
                                <div class="uk-grid-small" uk-grid>
                                    <div class="uk-width-expand">
                                        <p class="uk-text-small uk-text-emphasis">
                                            <i class="fas fa-envelope-open-text uk-margin-small-right"></i>
                                            @if (Model.Email != null)
                                            {
                                                @if (Model.Email.IsDefault)
                                                {
                                                    <span>@Model.Email.Email @(Model.Email.IsVerified? "(Verified)" : "(Unverified)")</span>
                                                }
                                                else
                                                {
                                                    <span>(add an email address)</span>
                                                }
                                            }
                                            else
                                            {
                                                <span>(add an email address)</span>
                                            }
                                        </p>
                                    </div>
                                    <div class="uk-width-1-6 uk-text-right">
                                        <i class="fas fa-chevron-right uk-text-primary"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="uk-margin">
                            <a class="bng-modal" asp-page="/addressmanagement">
                                <div class="uk-grid-small" uk-grid>
                                    <div class="uk-width-expand">
                                        <p class="uk-text-small uk-text-emphasis">
                                            <i class="fas fa-home uk-margin-small-right"></i>
                                            @if (Model.Address != null)
                                            {
                                                @if (Model.Address.IsDefault)
                                                {
                                                    <span>
                                                        @Model.Address.Name,
                                                        @Model.Address.Street,
                                                        @Model.Address.PostalCode,
                                                        @Model.Address.CountryCode
                                                    </span>
                                                    @if (Model.KYCEnabled)
                                                    {
                                                        <span>
                                                            @(Model.Address.IsVerified? "(Verified)" : "(Unverified)")
                                                        </span>
                                                    }
                                                }
                                                else
                                                {
                                                    <span>(add an address)</span>
                                                }
                                            }
                                            else
                                            {
                                                <span>(add an address)</span>
                                            }
                                        </p>
                                    </div>
                                    <div class="uk-width-1-6 uk-text-right">
                                        <i class="fas fa-chevron-right uk-text-primary"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </div>
                    <hr>
                    <div class="uk-margin-small">
                        @if (Model.HasRelationships)
                        {
                            <div class="uk-grid-small uk-margin" uk-grid>
                                <div class="uk-width-expand">
                                    <h3 class="uk-card-title">Relationships</h3>
                                </div>
                                <div class="uk-width-auto">
                                    <div class="uk-visible@s">
                                        <a class="bng-modal uk-button uk-button-primary" asp-page="/createnewrelationship"> Add New Relationship</a>
                                    </div>
                                    <div class="uk-hidden@s">
                                        <a class="bng-modal uk-button uk-button-primary uk-button-small" asp-page="/createnewrelationship">
                                            <i class="fas fa-plus"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        }
                        else
                        {
                            <div class="uk-grid-small uk-margin" uk-grid>
                                <div class="uk-width-expand">
                                    <h3 class="uk-card-title">Relationships</h3>
                                </div>
                                <div class="uk-width-auto"></div>
                            </div>
                        }
                        <div class="uk-overflow-auto">
                            @if (Model.HasRelationships)
                            {
                                <table class="uk-table uk-table-small uk-table-striped uk-table-middle">
                                    <thead>
                                        <tr>
                                            <th class="uk-table-shrink uk-text-nowrap uk-hidden">ID</th>
                                            <th class="uk-table-expand uk-text-nowrap">Name</th>
                                            <th class="uk-table-expand uk-text-nowrap">Relationship</th>
                                            <th class="uk-table-shrink uk-text-nowrap">Actions</th>
                                            <th class="uk-table-shrink uk-text-nowrap"></th>
                                        </tr>
                                    </thead>
                                    <tbody id="table-body">
                                        @await foreach (var member in Model.Relationships)
                                        {
                                            <tr>
                                                <td class="uk-text-break">
                                                    @member.FirstName @member.LastName
                                                </td>
                                                <td class="uk-text-nowrap">@(member.RelationshipType.Name)</td>
                                                <td class="uk-text-nowrap">
                                                    <button class="member-relationship-edit uk-button"
                                                            uk-toggle="target: #modal-relationship-edit"
                                                            SelectedRelationshipSid="@member.Sid"
                                                            SelectedRelationshipFirstName="@member.FirstName"
                                                            SelectedRelationshipMiddleName="@member.MiddleName"
                                                            SelectedRelationshipLastName="@member.LastName"
                                                            SelectedRelationshipBirthDate="@(member.BirthYear > 0 ? new DateTime((int)member.BirthYear, (int)member.BirthMonth, (int)member.BirthDay).ToString("yyyy-MM-dd") : string.Empty)"
                                                            SelectedRelationshipGender="@member.Gender"
                                                            SelectedRelationshipEmail="@member.Email"
                                                            SelectedRelationshipAddress="@member.Street"
                                                            SelectedRelationshipPostalCode="@member.PostalCode"
                                                            SelectedRelationshipCountryCode="@member.CountryCode"
                                                            SelectedRelationshipMobileNumber="@member.PhoneNumber"
                                                            SelectedRelationshipCallingCode="@member.CallingCode"
                                                            SelectedRelationshipRelationshipType="@member.RelationshipTypeId"
                                                            SelectedRelationshipRelationshipGender="@member.RelationshipType.Gender">
                                                        <i class="fas fa-pencil-alt"></i>
                                                    </button>
                                                </td>
                                                <td class="uk-text-nowrap">
                                                    <button class="member-relationship-remove uk-button"
                                                            uk-toggle="target: #modal-relationship-remove"
                                                            SelectedRelationshipSid="@member.Sid"
                                                            memberRelationshipName="@member.FirstName @member.LastName">
                                                        <i class="fas fa-trash"></i>
                                                    </button>
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                            }
                            else
                            {
                                <div class="uk-padding-small uk-text-center">
                                    <p class="uk-text-small uk-text-muted uk-margin-small">You do not have any existing relationships.</p>
                                    <a class="bng-modal uk-button uk-button-default uk-button-small" asp-page="/createnewrelationship">
                                        <i class="fas fa-plus"></i>
                                        <span class="uk-margin-small-left">ADD A NEW RELATIONSHIP</span>
                                    </a>
                                </div>
                            }
                        </div>
                    </div>
                    <div class="uk-hidden@s">
                        <hr>
                        <div class="uk-margin-small">
                            <ul class="uk-list uk-text-small">
                                <li>
                                    <a class="bng-modal uk-button uk-button-default uk-button-small uk-width-1-1" asp-page="/preference">
                                        <i class="fas fa-tasks"></i>
                                        <span class="uk-margin-small-left">Preferences</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="uk-hidden@s">
                        <hr>
                        <div class="uk-margin-small">
                            <ul class="uk-list uk-text-small">
                                <li>
                                    <a class="uk-button uk-button-primary uk-button-small uk-width-1-1" href="@Model.ReturnUrl">
                                        <span class="uk-margin-small-left">Return to Previous Page</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>


<!-- This is the modal -->
<div id="modal-relationship-edit" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body">
            <h3>Update Relationship</h3>
            <form asp-page-handler="updateRelationship" method="post" asp-antiforgery="true" data-ajax-method="post" data-ajax="true" data-ajax-success="updateRelationshipSuccess" data-ajax-failure="updateRelationshipFailed">
                <input type="hidden" asp-for="SelectedRelationshipSid" id="update-relationship-selected" class="member-relationship-update-input" />
                <div class="uk-margin-small">
                    <label class="uk-form-label">Relationship Type</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                    <select class="uk-select uk-width-1-1 editRelationshipType" id="relationshipType" asp-for="@Model.RelationshipType" required>
                        <option selected value="" disabled>Select Relationship</option>
                        @foreach (var relationshipType in Model.RelationshipTypes)
                        {
                            <option value="@relationshipType.Id|@relationshipType.Gender">@relationshipType.Name</option>
                        }
                    </select>
                </div>
                <div class="uk-margin-small uk-grid-small" uk-grid>
                    <div class="uk-width-1-3@s">
                        <label class="uk-form-label">First Name</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                        <input asp-for="RelationshipFormData.FirstName" class="uk-input relationship-edit-firstName-input" id="form-stacked-text" type="text" maxlength="128" required>
                        <span asp-validation-for="RelationshipFormData.FirstName" class="uk-text-danger uk-text-small"></span>
                    </div>

                    <div class="uk-width-1-3@s">
                        <label class="uk-form-label">Middle Name</label>
                        <input asp-for="RelationshipFormData.MiddleName" class="uk-input relationship-edit-middleName-input" id="form-stacked-text" type="text" maxlength="128">
                        <span asp-validation-for="RelationshipFormData.MiddleName" class="uk-text-danger uk-text-small"></span>
                    </div>
                    <div class="uk-width-1-3@s">
                        <label class="uk-form-label">Last Name</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                        <input asp-for="RelationshipFormData.LastName" class="uk-input relationship-edit-lastName-input" id="form-stacked-text" type="text" maxlength="128" required>
                        <span asp-validation-for="RelationshipFormData.LastName" class="uk-text-danger uk-text-small"></span>
                    </div>
                </div>
                <div class="uk-margin-small uk-grid-small" uk-grid>
                    <div class="uk-width-1-2@s">
                        <label asp-for="@Model.RelationshipBirthdate" class="uk-form-label">Birthdate</label>
                        <input asp-for="@Model.RelationshipBirthdate" class="uk-input relationship-edit-birthDate-input" type="date" value="@Model.RelationshipBirthdate" min="@Model.MinBirthdate" max="@Model.MaxBirthdate" placeholder="YYYY-MM-DD" />
                        <span asp-validation-for="@Model.RelationshipBirthdate" class="uk-text-danger uk-text-small"></span>
                    </div>
                    <div class="uk-width-1-2@s">
                        <label asp-for="RelationshipFormData.Gender" class="uk-form-label"></label>
                        <select class="uk-select" id="relationshipGender" asp-for="@Model.RelationshipFormData.Gender">
                            <option value="@(BeamAndGo.Member.GenderType.Female)">Female</option>
                            <option value="@(BeamAndGo.Member.GenderType.Male)">Male</option>
                            <option selected value="@null">Unspecified</option>
                        </select>
                    </div>
                </div>
                <div class="uk-margin-small uk-margin-remove-bottom">
                    <label class="uk-form-label">Phone Number</label><span class="uk-text-muted uk-text-small"> (Required)</span>
                </div>
                <div class="uk-margin-small uk-margin-remove-top">
                    <input id="rel-update-phone" class="uk-input phone-padding-left" type="tel" name="Phone" asp-for="RelationshipFormData.PhoneNumber" required>
                    <input type="hidden" id="update-rel-mobile" asp-for="RelationshipFormData.PhoneNumber">
                    <input type="hidden" id="update-rel-calling-code" asp-for="RelationshipFormData.CallingCode">
                </div>
                <div class="uk-margin-small">
                    <label asp-for="RelationshipFormData.Email" class="uk-form-label"></label>
                    <input asp-for="RelationshipFormData.Email" class="uk-input relationship-edit-email-input" type="text" />
                    <span asp-validation-for="RelationshipFormData.Email" class="uk-text-danger uk-text-small"></span>
                </div>
                <div class="uk-margin-small">
                    <label class="uk-form-label">Address</label>
                    <textarea asp-for="RelationshipFormData.Street" class="uk-textarea relationship-edit-AddressName-input" rows="2" id="form-stacked-text" type="text"></textarea>
                    <span asp-validation-for="RelationshipFormData.Street" class="uk-text-danger uk-text-small"></span>
                </div>
                <div class="uk-margin-small uk-grid-small" uk-grid>
                    <div class="uk-width-1-2@s">
                        <label class="uk-form-label">Postal Code</label>
                        <input asp-for="RelationshipFormData.PostalCode" class="uk-input relationship-edit-postalCode-input" type="text" />
                        <span asp-validation-for="RelationshipFormData.PostalCode" class="uk-text-danger uk-text-small"></span>
                    </div>
                    <div class="uk-width-1-2@s">
                        <label class="uk-form-label">Country</label>
                        <input id="rel-update-country-code" class="uk-input relationship-edit-countryCode-input" type="text" readonly="readonly">
                        <input type="hidden" id="update-rel-country-code" asp-for="RelationshipFormData.CountryCode">
                    </div>
                </div>
                <div class="uk-margin-small uk-margin-medium-top">
                    <button class="uk-button uk-button-primary uk-width-1-1" type="submit">Update Relationship</button>
                </div>
                <div class="uk-margin-small">
                    <button class="uk-button uk-button-default uk-width-1-1 uk-modal-close" type="button">Cancel</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- End of modal -->
<!-- This is the Remove Relationship modal -->
<div id="modal-relationship-remove" uk-modal class="uk-flex-top modal-relationship-remove">
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body uk-text-center">
            <p> Are you sure you want to remove <i><span class="remove-relationship">beamandgo</span></i>?</p>
            <form method="post" asp-page-handler="removeRelationship" asp-antiforgery="true">
                <input type="hidden" asp-for="@Model.SelectedRelationshipSid" id="remove-relationship-selected" class="member-relationship-remove-input" />
                <button class="uk-button uk-button-primary" type="submit">Ok</button>
                <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
            </form>
        </div>
    </div>
</div>
<!-- End of modal -->
<style>
    .iti {
        width: 100% !important;
    }

    .country-select {
        width: 100% !important;
    }

    .phone-padding-left {
        padding-left: 90px !important;
    }
</style>
<script>
    //Country
    $(document).ready(function () {
        $('#profile-form').keyup(enableSave);
        $('#profile-form').change(enableSave);
        selectedUpdateCountry();
    });

    function enableSave() {
        $('#submitBtn').css('display', '');
    }

    $("#rel-update-country-code").countrySelect({
        preferredCountries: ["au", "ca", "hk", "jp", "my", "ph", "qa", "sa", "sg", "tw", "ae", "us", "gb"],
    });

    function selectedUpdateCountry() {
        var country_code = $("#rel-update-country-code").countrySelect("getSelectedCountryData");
        $("#update-rel-country-code").val(country_code.iso2.toUpperCase());
    }

    $("#rel-update-country-code").change(function () {
        selectedUpdateCountry();
    });

    //Mobile Number
    var inputUpdate = document.querySelector("#rel-update-phone");
    var itiUpdate = window.intlTelInput(inputUpdate, {
        autoPlaceholder: "off",
        separateDialCode: true,
        preferredCountries: ["AU", "CA", "HK", "JP", "MY", "PH", "QA", "SA", "SG", "TW", "AE", "US", "GB"],
        utilsScript: "/js/intlTelutils.min.js",
    });

    function handleUpdateChange() {
        let country_code = itiUpdate.getSelectedCountryData()["dialCode"];
        let number_with_code = itiUpdate.getNumber();

        $("#update-rel-mobile").val(number_with_code.replace("+" + country_code, ""));
        $("#update-rel-calling-code").val(country_code.replace("+", ""));
    }

    $('.member-relationship-edit ').click(function () {
        $('.member-relationship-update-input').val($(this).attr('SelectedRelationshipSid'));
        $('.relationship-edit-firstName-input').val($(this).attr('SelectedRelationshipFirstName'));
        $('.relationship-edit-middleName-input').val($(this).attr('SelectedRelationshipMiddleName'));
        $('.relationship-edit-lastName-input').val($(this).attr('SelectedRelationshipLastName'));
        $('.relationship-edit-birthDate-input').val($(this).attr('SelectedRelationshipBirthDate'));
        $('.relationship-edit-email-input').val($(this).attr('SelectedRelationshipEmail'));
        $('.relationship-edit-AddressName-input').val($(this).attr('SelectedRelationshipAddress'));
        $('.relationship-edit-postalCode-input').val($(this).attr('SelectedRelationshipPostalCode'));

        if ($(this).attr('SelectedRelationshipRelationshipGender')) {
            $('#relationshipType').val($(this).attr('SelectedRelationshipRelationshipType') + "|" + $(this).attr('SelectedRelationshipRelationshipGender')).change();
        } else {
            $('#relationshipType').val($(this).attr('SelectedRelationshipRelationshipType') + "|").change();
        }

        $("#rel-update-country-code").countrySelect("selectCountry", $(this).attr('SelectedRelationshipCountryCode').toLowerCase());
        var country_code = $("#rel-update-country-code").countrySelect("getSelectedCountryData");
        $("#rel-update-country-code").countrySelect("setCountry", country_code.name);
        $("#update-rel-country-code").val(country_code.iso2.toUpperCase());

        itiUpdate.setNumber("+" + $(this).attr('SelectedRelationshipCallingCode') + $(this).attr('SelectedRelationshipMobileNumber'));
        $("#update-rel-mobile").val($(this).attr('SelectedRelationshipMobileNumber'));
        $("#update-rel-calling-code").val($(this).attr('SelectedRelationshipCallingCode'));

        $('#relationshipGender').val($(this).attr('SelectedRelationshipGender')).change();
    });

    $('.member-relationship-remove').click(function () {
        $('.remove-relationship').text($(this).attr('memberRelationshipName'));
        $('.member-relationship-remove-input').val($(this).attr('SelectedRelationshipSid'));
    });

    $(".editRelationshipType").change(function () {
        var str = (this.value);
        var gender = str.split("|")[1];

        $('#relationshipGender').val(gender).change();
    });

    // Update Relationship
    updateRelationshipSuccess = (xhr) => {
        location.reload();
        showSuccessNotification(xhr);
    };
    updateRelationshipFailed = (xhr) => {
        showErrorNotification(xhr.responseText);
    };

    inputUpdate.addEventListener("countrychange", handleUpdateChange);
    inputUpdate.addEventListener('change', handleUpdateChange);
    inputUpdate.addEventListener('keyup', handleUpdateChange);

</script>